package polling_station_dashboard.java;

import javafx.fxml.FXML;
import javafx.scene.input.MouseEvent;

/**
 * Created by Vladimir Eliezer Tokarev on 28/05/2016.
 * PollingStationDashboardController controls the behavior of the polling station dashboard
 */
public class PollingStationDashboardController {
    private EventHandlerMap eventHandlerMap;

    public void SetEventHandlerMap(EventHandlerMap map)
    {
        this.eventHandlerMap = map;
    }

    @FXML
    private void OnStatusLogPressed(MouseEvent mousePressed)
    {
        this.eventHandlerMap.Handle(mousePressed);
    }

    @FXML
    private void OnSettingsPressed(MouseEvent mousePressed)
    {
        this.eventHandlerMap.Handle(mousePressed);
    }

    @FXML
    private void SearchTrigered(MouseEvent mousePressed)
    {
        this.eventHandlerMap.Handle(mousePressed);
    }
}
